API v1
Registrar pago de cartera
Abono total o parcial a un cobro; no puede superar el saldo. Alcance finanzas:write.
Envía Idempotency-Key para que un reintento no registre el pago dos veces.
POST
/
api
/
v1
/
schools
/
{school_id}
/
receivables
/
{receivable_id}
/
payments
Registrar pago de cartera
curl --request POST \
--url https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 280000,
"payment_date": "2026-10-12",
"payment_method": "transfer",
"reference_number": "TRX-99812",
"notes": null
}
'import requests
url = "https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments"
payload = {
"amount": 280000,
"payment_date": "2026-10-12",
"payment_method": "transfer",
"reference_number": "TRX-99812",
"notes": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 280000,
payment_date: '2026-10-12',
payment_method: 'transfer',
reference_number: 'TRX-99812',
notes: null
})
};
fetch('https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 280000,
'payment_date' => '2026-10-12',
'payment_method' => 'transfer',
'reference_number' => 'TRX-99812',
'notes' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments"
payload := strings.NewReader("{\n \"amount\": 280000,\n \"payment_date\": \"2026-10-12\",\n \"payment_method\": \"transfer\",\n \"reference_number\": \"TRX-99812\",\n \"notes\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 280000,\n \"payment_date\": \"2026-10-12\",\n \"payment_method\": \"transfer\",\n \"reference_number\": \"TRX-99812\",\n \"notes\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 280000,\n \"payment_date\": \"2026-10-12\",\n \"payment_method\": \"transfer\",\n \"reference_number\": \"TRX-99812\",\n \"notes\": null\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "uuid",
"receivable_id": "uuid",
"amount": 280000,
"currency": "COP",
"payment_date": "2026-10-12",
"payment_method": "transfer",
"reference_number": "TRX-99812",
"status": "confirmed",
"created_at": "2026-10-12T15:00:00-05:00"
},
"receivable": {
"id": "uuid",
"balance": 0,
"status": "paid"
}
}Autorizaciones
Token de una API key (credenciales de cliente). Dura una hora.
Encabezados
Parámetros de ruta
The ID of the school.
The ID of the receivable.
UUID de la escuela.
UUID del cobro.
Cuerpo
application/json
Monto en la moneda del cobro.
Ejemplo:
280000
Fecha del pago (YYYY-MM-DD).
Ejemplo:
"2026-10-12"
cash, transfer, bank_transfer, card, credit_card, nequi, daviplata, pse, check u other.
Ejemplo:
"transfer"
Referencia de la transacción.
Ejemplo:
"TRX-99812"
Nota interna.
Ejemplo:
null
⌘I
Registrar pago de cartera
curl --request POST \
--url https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 280000,
"payment_date": "2026-10-12",
"payment_method": "transfer",
"reference_number": "TRX-99812",
"notes": null
}
'import requests
url = "https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments"
payload = {
"amount": 280000,
"payment_date": "2026-10-12",
"payment_method": "transfer",
"reference_number": "TRX-99812",
"notes": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 280000,
payment_date: '2026-10-12',
payment_method: 'transfer',
reference_number: 'TRX-99812',
notes: null
})
};
fetch('https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => 280000,
'payment_date' => '2026-10-12',
'payment_method' => 'transfer',
'reference_number' => 'TRX-99812',
'notes' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments"
payload := strings.NewReader("{\n \"amount\": 280000,\n \"payment_date\": \"2026-10-12\",\n \"payment_method\": \"transfer\",\n \"reference_number\": \"TRX-99812\",\n \"notes\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": 280000,\n \"payment_date\": \"2026-10-12\",\n \"payment_method\": \"transfer\",\n \"reference_number\": \"TRX-99812\",\n \"notes\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.equinos.co/api/v1/schools/{school_id}/receivables/{receivable_id}/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": 280000,\n \"payment_date\": \"2026-10-12\",\n \"payment_method\": \"transfer\",\n \"reference_number\": \"TRX-99812\",\n \"notes\": null\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "uuid",
"receivable_id": "uuid",
"amount": 280000,
"currency": "COP",
"payment_date": "2026-10-12",
"payment_method": "transfer",
"reference_number": "TRX-99812",
"status": "confirmed",
"created_at": "2026-10-12T15:00:00-05:00"
},
"receivable": {
"id": "uuid",
"balance": 0,
"status": "paid"
}
}
